About Exaile.

Questions about applications and software
Forum rules
Before you post please read how to get help

About Exaile.

Postby secipolla on Sat Sep 25, 2010 7:18 pm

Many people are complaining of not being able to run Exaile. I'll give a couple of suggestions that I myself haven't tried because I don't wanna fill my system with unwanted packages that I would have to track down to uninstall later since I can live with a frugal player like Totem for now.

1) Install Exaile from their site (version 0.3.2) http://www.exaile.org/downloads
There (edit) is need to compile it before install. So first of all
Code: Select all
sudo apt-get install checkinstall

so you can uninstall it afterwards if you like.
I made a comprehensive list of dependencies. The downside is that since they're being manually installed, if you uninstall Exaile later, the dependencies won't be automatically removed with autoremove. They are
Code: Select all
sudo apt-get install libnet-amazon-s3-perl python-cddb python-webkit python-imaging libwebkit-1.0-2 python-mutagen python-eggtrayicon exfalso ipython python-gpod python-beautifulsoup notify-osd python-notify streamripper python-gst0.10 python-mutagen python-dbus python-gtk2 python-gobject python-sphinx help2man hal librsvg2-2 python-sexy python-mmkeys gamin javascript-common libgamin0 libgpod-common libgpod4 libjs-prototype python-gamin python-gtkmozembed python-ogg python-pyvorbis wwwconfig-common

*If you use a non-English locale add gettext to the list above.
Then for the moodbar plugin
Code: Select all
sudo apt-get install --no-install-recommends moodbar

Then download and extract the Exaile folder, cd into it (enter it) and run sudo checkinstall.
*For a non-English locale first run make and then sudo checkinstall.

2) The errors people are getting with python-gtkmozembed was solved back in 2008 at http://ubuntuforums.org/showthread.php?t=721128 by installing python-gnome2-extras. The cited package is now deprecated but the person there commented that he relied on help from the Exaile forum. Nowadays they seem to use a mailing list so anyone interested could find it at http://www.exaile.org/support
Last edited by secipolla on Tue Sep 28, 2010 1:19 pm, edited 1 time in total.
secipolla
Level 4
Level 4
 
Posts: 356
Joined: Sun Sep 05, 2010 5:19 pm

Linux Mint is funded by ads and donations.
 

Re: About Exaile.

Postby asymmetros on Tue Sep 28, 2010 12:28 pm

I tried it. Negative.


It starts, but when it comes to open a directory, or play a song or a radio stream, it's over.

In the previous days, i was trying by myself dependencies mentioned in exaile.org and in debian's site but with no luck either.

There follows terminal's verdict:

/usr/share/themes/Shiki-Wise/gtk-2.0/gtkrc:126: Murrine configuration option "gradients" is no longer supported and will be ignored.
INFO : Loading Exaile 0.3.2.0...
INFO : Loading settings...

(exaile.py:13128): GStreamer-CRITICAL **:
Trying to dispose object "sink", but it still has a parent "bin1".
You need to let the parent manage the object instead of unreffing the object directly.

INFO : Loading plugins...
Hello, world!
w00t!
INFO : Loading collection...
INFO : Loading devices...
INFO : Loading interface...
INFO : Loading main window...
INFO : Connecting main window events...
INFO : Loading panels...
INFO : Connecting panel events...
INFO : Done loading main window...
/usr/local/lib/exaile/xl/player/pipe.py:191: Warning: g_object_get_qdata: assertion `G_IS_OBJECT (object)' failed
self.elements = {}
/usr/local/lib/exaile/xl/player/pipe.py:191: Warning: g_object_set_qdata_full: assertion `G_IS_OBJECT (object)' failed
self.elements = {}
/usr/local/lib/exaile/xl/player/pipe.py:191: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
self.elements = {}
** Message: console message: file:///usr/local/share/exaile/plugins/contextinfo/classic/js/util.js @141: SECURITY_ERR: DOM Exception 18: An attempt was made to break through the security policy of the user agent.

Reading http://www.shoutcast.com/sbin/tunein-st ... ?id=107086
/usr/local/lib/exaile/xl/player/pipe.py:129: Warning: invalid uninstantiatable type `<invalid>' in cast to `GstElement'
elem.set_state(gst.STATE_NULL)

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed
/usr/local/lib/exaile/xl/player/pipe.py:139: Warning: invalid uninstantiatable type `<invalid>' in cast to `GstElement'
self.add(*elems)

(exaile.py:13128): GStreamer-CRITICAL **: gst_bin_add: assertion `GST_IS_ELEMENT (element)' failed
/usr/local/lib/exaile/xl/player/pipe.py:129: Warning: invalid unclassed pointer in cast to `GstElement'
elem.set_state(gst.STATE_NULL)

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed
/usr/local/lib/exaile/xl/player/pipe.py:116: Warning: g_object_get_qdata: assertion `G_IS_OBJECT (object)' failed
self._setup_finish(None, True, state)
/usr/local/lib/exaile/xl/player/pipe.py:116: Warning: g_object_set_qdata_full: assertion `G_IS_OBJECT (object)' failed
self._setup_finish(None, True, state)
/usr/local/lib/exaile/xl/player/pipe.py:116: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
self._setup_finish(None, True, state)

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed

(exaile.py:13128): GStreamer-CRITICAL **:
Trying to dispose object "identity4", but it still has a parent "Postprocessing".
You need to let the parent manage the object instead of unreffing the object directly.

/usr/local/lib/exaile/xl/player/pipe.py:129: Warning: invalid uninstantiatable type `(null)' in cast to `GstElement'
elem.set_state(gst.STATE_NULL)

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed
/usr/local/lib/exaile/xl/player/pipe.py:139: Warning: invalid uninstantiatable type `(null)' in cast to `GstElement'
self.add(*elems)

(exaile.py:13128): GStreamer-CRITICAL **: gst_bin_add: assertion `GST_IS_ELEMENT (element)' failed

(exaile.py:13128): GStreamer-CRITICAL **: gst_element_set_state: assertion `GST_IS_ELEMENT (element)' failed
INFO : Playing http://91.121.166.38:7310
ERROR : Couldn't query duration
Segmentation fault
Sid Mint Xfce -32, Openbox, KDE, Enlightenment, Liquorix Kernel
HP Compaq Presario cq71, Intel Core 2 Duo T4400 @ 2.2 GHz, 3 GB DDR2 RAM, Nvidia Geforce G 103M
asymmetros
Level 4
Level 4
 
Posts: 310
Joined: Tue Jun 01, 2010 5:34 pm
Location: athens

Re: About Exaile.

Postby secipolla on Tue Sep 28, 2010 1:21 pm

Hi asymmetros, you could try their mailing list. People there must have a clue about it.
secipolla
Level 4
Level 4
 
Posts: 356
Joined: Sun Sep 05, 2010 5:19 pm

Re: About Exaile.

Postby reference2myself on Tue Oct 19, 2010 2:35 pm

to make exaile work remove the package python-gi
reference2myself
Level 1
Level 1
 
Posts: 34
Joined: Sat Sep 18, 2010 10:44 am

Re: About Exaile.

Postby asymmetros on Tue Oct 19, 2010 5:00 pm

By following secipolla's advice, i had tried exaile's mailing list. Today, i passed there your solution, that python-gi was responsible for those faults.
Sid Mint Xfce -32, Openbox, KDE, Enlightenment, Liquorix Kernel
HP Compaq Presario cq71, Intel Core 2 Duo T4400 @ 2.2 GHz, 3 GB DDR2 RAM, Nvidia Geforce G 103M
asymmetros
Level 4
Level 4
 
Posts: 310
Joined: Tue Jun 01, 2010 5:34 pm
Location: athens

Re: About Exaile.

Postby Mdyter on Thu Oct 21, 2010 11:13 am

i had the problem with python-gtkmozembed showing that output in terminal:
Code: Select all
mdyter@debian:~$ exaile
/usr/lib/exaile/xl/library.py:17: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5, os, random, re, threading, time, traceback, gc, sys
GRE_GetGREPathWithProperties failed
Traceback (most recent call last):
  File "/usr/lib/exaile/exaile.py", line 94, in <module>
    from xl.gui import main as exailemain
  File "/usr/lib/exaile/xl/gui/main.py", line 23, in <module>
    from xl import library, logger, media, equalizer, burn, common
  File "/usr/lib/exaile/xl/library.py", line 20, in <module>
    from xl import common, media, db, audioscrobbler, xlmisc, dbusinterface
  File "/usr/lib/exaile/xl/media/__init__.py", line 4, in <module>
    from xl import common, xlmisc
  File "/usr/lib/exaile/xl/xlmisc.py", line 34, in <module>
    from xl import mozembed
  File "/usr/lib/exaile/xl/mozembed.py", line 29, in <module>
    import gtkmozembed
SystemError: dynamic module not initialized properly


to resolve i just deleted python-gtkmozembed package. don't know if will be some future negative consequences. but i'll try
Mdyter
Level 1
Level 1
 
Posts: 25
Joined: Mon Dec 21, 2009 4:21 am

Re: About Exaile.

Postby Paul_Vandenberg on Tue Mar 29, 2011 7:04 pm

reference2myself wrote:to make exaile work remove the package python-gi


This worked for me with the Xfce Debian Edition.
User avatar
Paul_Vandenberg
Level 2
Level 2
 
Posts: 58
Joined: Thu Jul 26, 2007 9:11 pm
Location: Canada

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: paxmark1 and 6 guests